/*****************************************************

    Joe Forte
	File: particleSystem.ps
	Desc: Renders soft particles.
	
******************************************************/

// Projection space depth information (before divide)
varying float Depth;

// Poition information of the pixels
varying vec2 pos;

void main()
{
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_FrontColor = gl_Color;
	gl_Position = ftransform();
	
	// Transforms the position data to the range [0,1]
	pos = (gl_Position.xy / gl_Position.w + 1.0) / 2.0;
	
	Depth = gl_Position.w;
}
